Bug 15889 - Login with LDAP deletes extended attributes
Summary: Login with LDAP deletes extended attributes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Alex Arnaud
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17615
  Show dependency treegraph
 
Reported: 2016-02-24 09:11 UTC by Alex Arnaud
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15889 - LDAP authentication: Only update mapped attributes. (5.14 KB, patch)
2016-02-24 09:19 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 15889 - LDAP authentication: Only update mapped attributes. (5.19 KB, patch)
2016-03-03 19:38 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 15889 - LDAP authentication: Only update mapped attributes. (5.25 KB, patch)
2016-03-21 14:43 UTC, Blou
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2016-02-24 09:11:39 UTC
Authentication on Koha using LDAP deletes all *non-mapped* extended attributes.
Comment 1 Alex Arnaud 2016-02-24 09:19:00 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-03-03 19:38:17 UTC Comment hidden (obsolete)
Comment 3 Blou 2016-03-21 14:43:32 UTC
Created attachment 49389 [details] [review]
Bug 15889 - LDAP authentication: Only update mapped attributes.

Test plan:

- Update your configuration file to use LDAP authentication and enable update
  (<update>1</update>) option,
- login with an existing user with extended attrbitutes that are not in
LDAP mapping,
- check that all attributes are still here.

Signed-off-by: Chris <chrisc@catalyst.net.nz>

Signed-off-by: Philippe Blouin <philippe.blouin@inlibro.com>
Comment 4 Jonathan Druart 2016-03-21 15:14:38 UTC
Martin, could you have a look at this one please?
Comment 5 Katrin Fischer 2016-03-30 07:28:22 UTC
LDAP patches are hard to get tested, this is a bad bug and it has 2 sign-offs.
Using a bit of QAM power to switch this to "PASSED QA".

I suggest discussing during the next dev meeting if we can establish a "2 sign-off exception rule for SIP and LDAP patches".
Comment 6 Jesse Weaver 2016-03-31 22:35:09 UTC
Pushed to master, will be in the May 2016 release. Thanks for your work!

I had to manually apply this using git apply --reject, please make sure everything is okay. Passed tests and QA tools.
Comment 7 Julian Maurice 2016-04-01 12:22:38 UTC
Patch pushed to 3.22.x, will be in 3.22.6
Comment 8 Martin Renvoize 2016-04-01 14:18:58 UTC
Just to note.. I tested this for QA just after Katring passed it.. it was all good but I never gave it my stamp.. so here's a stamp :)
Comment 9 Oliver Behnke 2016-04-26 07:48:07 UTC
This one is kinda related, has sat around for a while and also got a propsoed patch: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=14625

Thanks